param(
    [Parameter(Mandatory=$true)]$old_cytoscape_version,
    [Parameter(Mandatory=$true)]$new_cytoscape_version
)
$container_name = "cyrest"

docker build -t snoringsloth/cytoscape:$new_cytoscape_version -t snoringsloth/cytoscape:latest .
docker push snoringsloth/cytoscape:latest
docker push snoringsloth/cytoscape:$new_cytoscape_version
docker rm $container_name
docker image rm snoringsloth/cytoscape:$old_cytoscape_version
docker create -p 1234:1234 --name $container_name snoringsloth/cytoscape:latest